  <template>
	<view >
		<cu-custom bgColor="bg-gradual-blueness" :isBack="true" >
			<block slot="backText">返回</block>
			<block slot="content">所在单位意见</block>
		</cu-custom>
		<scroll-view scroll-y="false" >
		<view class="form">
      <view class="wui-form-list">
        <view class="cu-form-group">
          <view class="title">编号：</view>
          {{pd.CHECK_NO}}
        </view>

        <view class="cu-form-group">
          <view class="title">吊装地点：</view>
          <input name="input" ref="WORK_PLACE" :disabled="forbidEdit" v-model="pd.WORK_PLACE" placeholder="请输入吊装地点"></input>
        </view>

        <view class="cu-form-group" >
          <view class="title">吊具名称：</view>
          <input name="input" ref="TOOL_NAME" :disabled="forbidEdit" v-model="pd.TOOL_NAME" placeholder="请输入吊具名称"></input>
        </view>

        <view class="cu-form-group" >
          <view class="title">吊装作业人：</view>
          <input name="input" ref="WORK_USER" :disabled="forbidEdit" v-model="pd.WORK_USER" placeholder="请输入吊装作业人"></input>
        </view>
        <view class="cu-form-group" >
          <view class="title">司索人：</view>
          <input name="input" ref="SISUO_USER" :disabled="forbidEdit" v-model="pd.SISUO_USER" placeholder="请输入司索人"></input>
        </view>
        <view class="cu-form-group" >
          <view class="title">监护人：</view>
          <input name="input" ref="GUARDIAN_USER" :disabled="forbidEdit" v-model="pd.GUARDIAN_USER" placeholder="请输入监护人"></input>
        </view>

        <view class="cu-form-group">
          <view class="title">指挥人员：</view>
          <input name="input" ref="PROJECT_MANAGER" :disabled="forbidEdit" v-model="pd.PROJECT_MANAGER" placeholder="请输入指挥人员"></input>
        </view>


        <view class="cu-form-group">
          <view class="title">吊物质量(吨)：</view>
          <input name="input" ref="PART_WEIGHT" :disabled="forbidEdit" v-model="pd.PART_WEIGHT" placeholder="请输入吊物质量(吨)"></input>
        </view>
        <view class="cu-form-group bb-default group-picker">
          <view class="title">作业级别：</view>
          {{pd.WORK_LEVEL == '1' ? '一级作业级别' : ''}}
          {{pd.WORK_LEVEL == '2' ? '二级作业级别' : ''}}
          {{pd.WORK_LEVEL == '3' ? '三级作业级别' : ''}}
        </view>
        <view class="cu-form-group">
          <view class="title">安全交底人：</view>
          <input name="input" ref="CONFESS_USER" :disabled="forbidEdit" v-model="pd.CONFESS_USER" placeholder="请输入安全交底人"></input>
        </view>
        <view class="cu-form-group">
          <view class="title">接受交底人：</view>
          <input name="input" ref="ACCEPT_CONFESS_USER" :disabled="forbidEdit" v-model="pd.ACCEPT_CONFESS_USER" placeholder="请输入接受交底人"></input>
        </view>
        <view class="cu-form-group ">
          <view class="title">作业开始时间</view>
          <ruiDatePicker v-if="!forbidEdit"
                         :start="todayDate"
                         fields="minute"
                         :value="pd.WORK_START_DATE?pd.WORK_START_DATE:''"
                         @change="changeStartDate"
          ></ruiDatePicker>
          <view v-else>{{pd.WORK_START_DATE}}</view>
        </view>
        <view class="cu-form-group bb-default">
          <view class="title">作业结束时间</view>
          <ruiDatePicker v-if="!forbidEdit"
                         :start="todayDate"
                         fields="minute"
                         :value="pd.WORK_END_DATE?pd.WORK_END_DATE:''"
                         @change="changeEndDate"
          ></ruiDatePicker>
          <view v-else>{{pd.WORK_END_DATE}}</view>
        </view>

        <view class="cu-form-textarea">
          <view class="cu-form-title">吊物内容：</view>
          <textarea maxlength="255" :disabled="forbidEdit" v-model="pd.WORK_CONTENT" placeholder="请输入吊物内容"></textarea>
        </view>
        <view class="cu-form-textarea">
          <view class="cu-form-title">风险辨识结果：</view>
          <textarea maxlength="255" :disabled="forbidEdit" v-model="pd.HAZARD_IDENTIFICATION" placeholder="请输入风险辨识结果"></textarea>
        </view>

      </view>

            <view class="wui-form-list" style="padding-top: 20upx;">
                <view class="wui-title" style="margin-left: 20upx;">
                    <text class="text-semi">安全防护措施</text>
                </view>
                <view class="wui-table" style="padding: 0 20upx;">
                    <uni-table name='measuresList' border stripe emptyText="暂无更多数据" >
                        <!-- 表头行 -->
                        <uni-tr>
                            <uni-th align="center" style="font-weight: bold;">主要安全措施</uni-th>
                            <uni-th align="center" style="font-weight: bold;width: 100px;">操作</uni-th>
                        </uni-tr>
                        <uni-tr v-for="(item,index) in measuresList" :key="item.BUS_HOISTING_MEASURES_ID">
                            <uni-td>
                              <view style="margin-bottom: 20upx;">
                                {{item.PROTECTIVE_MEASURES}}
                              </view>
                              <view class="wui-border" v-if="item.QUESTION1">
                                <view class="cu-form-group" v-if="item.QUESTION1">
                                  <view class="title">{{item.QUESTION1}}</view>
                                  <input name="input" :disabled="forbidEdit" v-model="item.ANSWER1" placeholder="请输入"></input>
                                </view>
                              </view>
                            </uni-td>
                            <uni-td align="center">
                                <radio-group class="wui-radio-group">
                                    <view class="group" v-if="item.STATUS=='-1'">
                                        <radio class='radio'  value="-1"  checked>
                                            <text class="wui-pl10">不涉及</text></radio>
                                    </view>
                                    <view class="group" v-if="item.STATUS=='1'">
                                        <radio class='radio' value="1" checked>
                                            <text class="wui-pl10">涉&nbsp;&nbsp;&nbsp;&nbsp;及</text></radio>
                                    </view>
                                </radio-group>
                            </uni-td>
                        </uni-tr>
                    </uni-table>
                </view>
                <view v-if="pd.APPLY_STATUS && pd.APPLY_STATUS!=0 && pd.APPLY_STATUS!=1">
                    <view class="cu-form-textarea">
                        <view class="cu-form-title">补充措施：</view>
                        <textarea maxlength="255" ref="OTHER_PROTECTIVE_MEASURES" v-model="pd.OTHER_PROTECTIVE_MEASURES" placeholder="请输入其他防护措施..."></textarea>
                    </view>
                    <view v-if="pd.LEADER_USER_MEASURES" class="ty-group">
                        <text class="title">
                            作业指挥：</text>
                        <text>{{ pd.LEADER_USER_MEASURES}}</text>
                    </view>
                    <view v-if="pd.CONFIRM_USER_MEASURES" class="ty-group">
                        <text class="title">
                            所在单位：</text>
                        <text>{{ pd.CONFIRM_USER_MEASURES}}</text>
                    </view>
                </view>
            </view>

			<view class="wui-form-list">
        <view class="cu-form-textarea" style="border: none;">
          <view class="cu-form-title">作业指挥意见</view>
          <textarea maxlength="255" disabled="disabled" v-model="pd.LEADER_CONTENT"></textarea>
        </view>

                <view style="border-bottom: 1px solid #eeeeee;  border-top: 1px solid #eeeeee">
                    <view class="cu-form-group" >
                        <view class="title">作业指挥负责人</view>
                        {{pd.LEADER_USER_NAME}} {{pd.LEADER_USER_SIGNER_TIME}}
                    </view>
                    <view style="width: 400upx; height: 200upx; margin: 30upx;margin-top: 0upx;margin-bottom: 20upx;" >
                        <image :src="baseImgPath + pd.LEADER_USER_SIGNER_PATH" mode="aspectFill" @click="previewImage(baseImgPath + pd.LEADER_USER_SIGNER_PATH)" style="height: 100%;"></image>
                    </view>
                </view>

                <view class="cu-form-textarea" style="border-bottom: 1px dashed #eee;">
					<view class="cu-form-title">所在单位意见</view>
					<textarea maxlength="255" v-model="pd.CONTENT" placeholder="请输入意见"></textarea>
				</view>
				<view class="wui-sign">
					<view class="title">所在单位负责人签字</view>
					<button class="cu-btn bg-green shadow" @tap="showModal" data-target="Modal">手写签字</button>
				</view>

				<view class="wui-sign-box"  v-show="imgList && imgList.length > 0">
					<view class="sign-title">
					      签字照片：
					    </view>
					<view class="wui-sign-cotent">
						<view class="sign-img" v-for="(item,index) in imgList" :key="index" @tap="ViewImage"  data-type="0" :data-url="imgList[index].filePath">
							<image :src="imgList[index].filePath" mode="aspectFit"></image>
						</view>
					</view>
				</view>
				<view class="cu-modal" :class="modalName=='Modal'?'show':''">
					<writing-board  @confirm="subCanvas" @cancel="hideModal"></writing-board>
				</view>
			</view>
		</view>
		<view class="cu-bar btn-group" style="margin-top: 30upx;">
			<button class="cu-btn bg-red margin-tb-sm lg" @click="$noMultipleClicks(goSubmit,'-3')">打 回</button>
			<button :loading="buttonloading" class="cu-btn bg-green margin-tb-sm lg" @click="$noMultipleClicks(goSubmit,'3')">通 过</button>
		</view>
		<view class="padding flex flex-direction">
		</view>
		</scroll-view>
	</view>
</template>

<script>
  import { decryptAes } from "@/common/aesUtil";
	import {
		basePath,corpinfoId,deptId,loginUser,formatDate,loginSession,baseImgPath
	} from '@/common/tool.js';
	import tkiTree from "@/components/select-tree/select-tree.vue"
	import writingBoard from "@/components/writing-board/writing-board.vue"
	import gcoord from '@/common/gcoord.js'
	import ruiDatePicker from '@/components/rattenking-dtpicker/rattenking-dtpicker.vue';
	export default {
		components: {
			tkiTree,ruiDatePicker,writingBoard
		},
		data() {
			return {
				baseImgPath:baseImgPath,
                buttonloading: false,
				isUps:false,
				forbidEdit:true,// 禁止修改
				msg:'add',
				noClick:true,
				treeNode:[],//部门下拉数据
				constructionUserList:[],
				constructionindex:-1,
				applyUserList:[],
				applyindex:-1,
				auditUserList:[],
				auditindex:-1,
				approveUserList:[],
				approveindex:-1,
				acceptUserList:[],
				acceptindex:-1,
				pd:{},// 数据
				measuresList:[],
				rules:[
					{name:'CHECK_NO',message:'请输入编号'},
					{name:'WORK_PLACE',message:'请输入吊装地点'},
					{name:'TOOL_NAME',message:'请输入吊装工具名称'},
					{name:'WORK_USER',message:'请输入吊装人员'},
					{name:'PROJECT_MANAGER',message:'请输入吊装指挥'},
					{name:'WORK_CONTENT',message:'请输入作业内容'},
					{name:'WORK_START_DATE',message:'请选择作业开始时间'},
					{name:'WORK_END_DATE',message:'请选择作业结束时间'},
					{name:'CONSTRUCTION_USER_ID',message:'请选择施工单位负责人'},
					{name:'AUDIT_USER_ID',message:'请选择基层单位现场负责人'},
					{name:'APPROVE_USER_ID',message:'请选择安全部门负责人'},
				],
				todayDate:'',
				modalName:null,
				imgList:[],
			}
		},
		onLoad(event){
			this.todayDate =  formatDate(new Date(), 'yyyy-MM-dd hh:mm');
			this.pd.HOISTING_ID = event.HOISTING_ID;
			if(this.pd.HOISTING_ID){
				this.msg="edit";
				this.getData();
			}else {
				// 初始化作业负责人
				this.pd.APPLY_DEPARTMENT_ID = loginUser.DEPARTMENT_ID;
				this.pd.APPLY_DEPARTMENT_NAME = loginUser.DEPARTMENT_NAME;
				this.pd.APPLY_USER_ID = loginUser.USER_ID;
				this.pd.APPLY_USER = loginUser.NAME;
				this.forbidEdit = false;
			}
			// 初始化现场作业负责人
			this.getDept();
			loginSession();

		},
		methods: {
			validStr(str){
				if (str!=null && str!='' && typeof(str)!="undefined" && str!=0)
					return true
				return false
			},
			getData() {
				var _this = this;
				uni.showLoading({
					title: '请稍候'
				})
				uni.request({
					url: basePath + '/app/hoisting/goEdit',
					method: 'POST',
 					header: {
						'Content-type': 'application/x-www-form-urlencoded'
					},
					data: {
						HOISTING_ID: _this.pd.HOISTING_ID,
            CORPINFO_ID:loginUser.CORPINFO_ID,
            USER_ID:loginUser.USER_ID,
					},
					success: (res) => {
            res.data = decryptAes(res.data);
						if ("success" == res.data.result) {
							uni.hideLoading();
							_this.pd = res.data.pd; //参数map
              _this.pd = Object.assign(_this.pd,
                  {
                    "LEADER_USER_MEASURES": _this.pd.OTHER_PROTECTIVE_MEASURES.split(";_;")[0]
                  })
              _this.pd.OTHER_PROTECTIVE_MEASURES = ''
							_this.measuresList = res.data.measuresList
							if(_this.pd.APPLY_STATUS < 1){
								_this.forbidEdit = false;
							}
						} else if ("exception" == data.result) {
							uni.showToast({
								title: '错误',
								duration: 2000
							});
						}
					}
				});
			},
			goSubmit(STATUS){
				var _this = this;
				let required = true
				uni.showLoading({
					title: '请稍候'
				})
				if(STATUS==3) {
					if (_this.imgList.length <= 0) {
						uni.showToast({
							icon: 'none',
							title: '请签字',
							duration: 1500
						});
						return;
					}
				}
				const formData={}
				Object.keys(this.pd).map(key => {
					formData[key]=this.pd[key]
				})
				formData.CREATOR=loginUser.USER_ID
				formData.OPERATOR=loginUser.USER_ID
				formData.ACTION_USER=loginUser.NAME
				formData.APPLY_STATUS=STATUS
                formData.CORPINFO_ID = loginUser.CORPINFO_ID
                formData.USER_ID = loginUser.USER_ID
				if(STATUS==3){
					formData.STATUS = STATUS
                          if (!_this.validStr(this.pd.AUDIT_USER_ID) && !_this.validStr(this.pd.APPROVE_USER_ID)){
                            formData.APPLY_STATUS = 5
                          }else if (!_this.validStr(this.pd.AUDIT_USER_ID)){
                            formData.APPLY_STATUS = 4
                          }
					for (let i = 0; i < this.measuresList.length; i++) {
						const measures = this.measuresList[i]
						if(!measures.STATUS){
							uni.showToast({
								icon: 'none',
								title: '第'+(i+1)+'项未勾选',
								duration: 1500
							});
							return;
						}
					}
					formData.measuresList = JSON.stringify(this.measuresList)
                    this.buttonloading = true
					uni.uploadFile({
						url: basePath+'app/hoisting/editStatus',
						filePath: _this.imgList[0].filePath,
						name: 'FFILE',
						formData:formData,
						success: (res) => {
              res.data = decryptAes(res.data);
							uni.showToast({
								icon:'none',
								title: '保存成功',
								duration: 2000
							});
							_this.goback()
                            this.buttonloading = false
						},
						fail: (err) => {
							uni.hideLoading();
							uni.showModal({
								content: err.errMsg,
								showCancel: false
							});
						}
					})
				}else{
					formData.STATUS=STATUS
                    this.buttonloading = true
					uni.request({
						url: basePath + "app/hoisting/editStatus",
						method: 'POST',
						dataType: 'json',
						header:{
							'Content-type':'application/x-www-form-urlencoded'
						},
						data: {
                              ...formData,
                              CORPINFO_ID:loginUser.CORPINFO_ID,
                              USER_ID:loginUser.USER_ID,
                            },
						success: (res) => {
              res.data = decryptAes(res.data);
							uni.showToast({
								icon:'none',
								title: '保存成功',
								duration: 2000
							});
							_this.goback()
                            this.buttonloading = false
						},
						fail: (err) => {
							uni.hideLoading();
							uni.showModal({
								content: err.errMsg,
								showCancel: false
							});
						}
					})
				}
			},
			getDept() {
				var _this = this;
				uni.request({
					url: basePath + '/app/sys/listTree',//部门下拉接口
					method: 'POST',
					dataType: 'json',
					header: {
						'Content-type':'application/x-www-form-urlencoded'
					},
					data: {
            CORPINFO_ID:loginUser.CORPINFO_ID,
            USER_ID:loginUser.USER_ID,
					},
					success: (res) => {
            res.data = decryptAes(res.data);
						if("success" == res.data.result){
							_this.treeNode=eval(res.data.zTreeNodes);
						} else {
							uni.showToast({
								title: res.data.message,
								duration: 2000
							});
						}
					}
				});
			},
			//获取人员列表
			getUserList(dept,list,i){
				//发送 post 请求
				var _this=this
				uni.request({
					method: 'POST',
					dataType: 'json',
					header: {
						'Content-type':'application/x-www-form-urlencoded'
					},
					url: basePath+'/app/sys/listUser',
					data: {
            DEPARTMENT_ID:dept,
            tm:new Date().getTime(),
            CORPINFO_ID:loginUser.CORPINFO_ID,
            USER_ID:loginUser.USER_ID,
          },
					success: function(res){
            res.data = decryptAes(res.data);
						if("success" == res.data.result){
							if(i>-1) {
								_this[list][i] = [];
								_this[list][i] = res.data.userList;
								_this.$forceUpdate();//强制刷新
							}else{
								_this[list]=res.data.userList;
							}
						}else{
							uni.showToast({
								title: res.data.message,
								duration: 2000
							});
						}
					}
				})
			},
			/*
                 *手写板
                 */
			showModal(e) {
				this.modalName = e.currentTarget.dataset.target
			},
			hideModal(e) {
				this.modalName = null
			},
			//完成
			subCanvas(e) {
				this.imgList.splice(0,this.imgList.length);
				this.imgList.push(e);
				this.pd.SIGNER_TIME = formatDate(new Date(), 'yyyy-MM-dd hh:mm');
				this.hideModal()
			},
			ViewImage(e) {
				let files =[];
				files.push(e.currentTarget.dataset.url)
				uni.previewImage({
					urls: files,
					current: e.currentTarget.dataset.url
				});
			},
			/*
        *施工单位
         */
			// 确定回调事件
			constructiontreeConfirm(e) {
				this.isUps=false;
				this.pd.CONSTRUCTION_DEPARTMENT_ID=e[0].id;
				this.pd.CONSTRUCTION_DEPARTMENT_NAME=e[0].name;
				this.$forceUpdate();//强制刷新
				this.getUserList(e[0].id,'constructionUserList');
			},
			// 取消回调事件
			constructiontreeCancel(e) {
				this.isUps=false;
			},
			// 显示树形选择器
			showConstructionTree() {
				this.isUps=true
				this.$refs.tkiTree_construction._show();
			},
			PickerConstruction(e) {
				this.constructionindex = e.detail.value;
				this.pd.CONSTRUCTION_USER_ID=this.constructionUserList[this.constructionindex].USER_ID;
				this.pd.CONSTRUCTION_USER_NAME=this.constructionUserList[this.constructionindex].NAME;
				this.$forceUpdate();//强制刷新
			},

			/*
			*基层单位现场负责人
		 	*/
			// 确定回调事件
			audittreeConfirm(e) {
				this.isUps=false;
				this.pd.AUDIT_DEPARTMENT_ID=e[0].id;
				this.pd.AUDIT_DEPARTMENT_NAME=e[0].name;
				this.$forceUpdate();//强制刷新
				this.getUserList(e[0].id,'auditUserList');
			},
			// 取消回调事件
			audittreeCancel(e) {
				this.isUps=false;
			},
			// 显示树形选择器
			showAuditTree() {
				this.isUps=true
				this.$refs.tkiTree_audit._show();
			},
			PickerAudit(e) {
				this.auditindex = e.detail.value;
				this.pd.AUDIT_USER_ID=this.auditUserList[this.auditindex].USER_ID;
				this.pd.AUDIT_USER_NAME=this.auditUserList[this.auditindex].NAME;
				this.$forceUpdate();//强制刷新
			},

			/*
			*安全部门负责人
		 	*/
			// 确定回调事件
			approvetreeConfirm(e) {
				this.isUps=false;
				this.pd.APPROVE_DEPARTMENT_ID=e[0].id;
				this.pd.APPROVE_DEPARTMENT_NAME=e[0].name;
				this.$forceUpdate();//强制刷新
				this.getUserList(e[0].id,'approveUserList');
			},
			// 取消回调事件
			approvetreeCancel(e) {
				this.isUps=false;
			},
			// 显示树形选择器
			showApproveTree() {
				this.isUps=true
				this.$refs.tkiTree_approve._show();
			},
			PickerApprove(e) {
				this.approveindex = e.detail.value;
				this.pd.APPROVE_USER_ID=this.approveUserList[this.approveindex].USER_ID;
				this.pd.APPROVE_USER_NAME=this.approveUserList[this.approveindex].NAME;
				this.$forceUpdate();//强制刷新
			},

			/*
			*验收部门
			*/
// 确定回调事件
			accepttreeConfirm(e) {
				this.isUps=false;
				this.pd.ACCEPT_DEPARTMENT_ID=e[0].id;
				this.pd.ACCEPT_DEPARTMENT_NAME=e[0].name;
				this.$forceUpdate();//强制刷新
				this.getUserList(e[0].id,'acceptUserList');
			},
// 取消回调事件
			accepttreeCancel(e) {
				this.isUps=false;
			},
// 显示树形选择器
			showAcceptTree() {
				this.isUps=true
				this.$refs.tkiTree_accept._show();
			},
			PickerAccept(e) {
				this.acceptindex = e.detail.value;
				this.pd.ACCEPT_USER_ID=this.acceptUserList[this.acceptindex].USER_ID;
				this.pd.ACCEPT_USER_NAME=this.acceptUserList[this.acceptindex].NAME;
				this.$forceUpdate();//强制刷新
			},

			changeStartDate(e) {
				this.pd.WORK_START_DATE = e
				this.$forceUpdate();//强制刷新
			},
			changeEndDate(e) {
				this.pd.WORK_END_DATE = e
				this.$forceUpdate();//强制刷新
			},
			changeRadio(i,value){
				this.measuresList[i].STATUS=value
			},
			goback(){
				var pages = getCurrentPages();	// 获取当前页面栈
				var prePage = pages[pages.length - 2];	// 上二级页面
				prePage.$vm.initflag = true;    // A 页面 init方法 为true
				uni.navigateBack({delta: 1});
				uni.hideLoading();
			},
			radioType(e){
				this.HASINSTRUCTOR = e.detail.value
			},
			goToEdit(){
				this.forbidEdit = false;
			}
		}
	}
</script>

<style>

</style>
